react native集成高德地图



  • 大侠们好,最近需要在项目中集成高德地图,网上看到http://www.lcode.org/react-native-amap-location/例子,照着做,一直报错,修改多次未果。。。![0_1484467380752_upload-dc0b081f-e014-4a58-8b8b-9151039ac1d5](正在上传 100%) 一直报方法不会覆盖或实现超类型的方法 @override。。求大神指教。。。



  • @leileizhu 看起来是对应的原生组件已经年久失修不支持最新版本的RN了。看看能不能升级对应组件或者更换其它组件。



  • ios 版我们使用的是 react-native-maps,但是导航是原生写的



  • @leileizhu 说:

    大侠们好,最近需要在项目中集成高德地图,网上看到http://www.lcode.org/react-native-amap/例子,照着做,一直报错,修改多次未果。。。![0_1484467380752_upload-dc0b081f-e014-4a58-8b8b-9151039ac1d5](正在上传 100%) 一直报方法不会覆盖或实现超类型的方法 @override。。求大神指教。。。



  • @leileizhu 说:

    @leileizhu 说:

    大侠们好,最近需要在项目中集成高德地图,网上看到http://www.lcode.org/react-native-amap/例子,照着做,一直报错,修改多次未果。。。![0_1484467380752_upload-dc0b081f-e014-4a58-8b8b-9151039ac1d5](正在上传 100%) 一直报方法不会覆盖或实现超类型的方法 @override。。求大神指教。。。

    不好意思。说错了是react-native-amap做了很多次。react-native-amap-location好像没有问题


登录后回复